Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.util
Class Misc

    java.lang.Object
      writer2latex.util.Misc

    public class Misc

extends java.lang.Object

Field Summary
`private static int` | `BUFFERSIZE`

Constructor Summary
`Misc()`

Method Summary
`static java.lang.String` | `add(java.lang.String sLength1, java.lang.String sLength2)`
`static int[]` | `doubleIntArray(int[] array)`
`static java.lang.String` | `getAttribute(org.w3c.dom.Element node, java.lang.String attribute)`
`static java.lang.String` | `getAttribute(org.w3c.dom.Node node, java.lang.String attribute)`
`static org.w3c.dom.Element` | `getChildByTagName(org.w3c.dom.Node node, java.lang.String sTagName)`
`static org.w3c.dom.Element` | `getFirstChildElement(org.w3c.dom.Node node)`
`static float` | `getFloat(java.lang.String sFloat, float fDefault)`
`static int` | `getIntegerFromHex(java.lang.String sHex, int nDefault)`
`static java.lang.String` | `getPCDATA(org.w3c.dom.Node node)`
`static int` | `getPosInteger(java.lang.String sInteger, int nDefault)`
`private static float` | `getUpi(java.lang.String sUnit)`
`static byte[]` | `inputStreamToByteArray(java.io.InputStream is)` Read an `InputStream` into a `byte`array
`static java.lang.String` | `int2alph(int number, boolean bLetterSync)`
`static java.lang.String` | `int2Alph(int number, boolean bLetterSync)`
`static java.lang.String` | `int2arabic(int number)`
`static java.lang.String` | `int2roman(int number)`
`static java.lang.String` | `int2Roman(int number)`
`static boolean` | `isElement(org.w3c.dom.Node node)`
`static boolean` | `isElement(org.w3c.dom.Node node, java.lang.String sTagName)`
`static boolean` | `isLessThan(java.lang.String sThis, java.lang.String sThat)`
`static boolean` | `isText(org.w3c.dom.Node node)`
`static java.lang.String` | `length2px(java.lang.String sLength)`
`static java.lang.String` | `makeHref(java.lang.String s)`
`static java.lang.String` | `multiply(java.lang.String sPercent, java.lang.String sLength)`
`static java.lang.String` | `removeExtension(java.lang.String sName)`
`static java.lang.String` | `sub(java.lang.String sLength1, java.lang.String sLength2)`
`static java.lang.String` | `trimDocumentName(java.lang.String name, java.lang.String extension)`
`static java.lang.String` | `truncateLength(java.lang.String sValue)`
`static java.lang.String` | `urlDecode(java.lang.String s)`
`static java.lang.String` | `urlEncode(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFERSIZE

    private static final int BUFFERSIZE

See Also:
  Constant Field Values

Constructor Detail

### Misc

    public Misc()

Method Detail

### doubleIntArray

    public static final int[] doubleIntArray(int[] array)

### int2roman

    public static final java.lang.String int2roman(int number)

### int2Roman

    public static final java.lang.String int2Roman(int number)

### int2arabic

    public static final java.lang.String int2arabic(int number)

### int2alph

    public static final java.lang.String int2alph(int number,
                                                  boolean bLetterSync)

### int2Alph

    public static final java.lang.String int2Alph(int number,
                                                  boolean bLetterSync)

### getPosInteger

    public static final int getPosInteger(java.lang.String sInteger,
                                          int nDefault)

### getFloat

    public static final float getFloat(java.lang.String sFloat,
                                       float fDefault)

### getIntegerFromHex

    public static final int getIntegerFromHex(java.lang.String sHex,
                                              int nDefault)

### truncateLength

    public static java.lang.String truncateLength(java.lang.String sValue)

### getUpi

    private static final float getUpi(java.lang.String sUnit)

### length2px

    public static final java.lang.String length2px(java.lang.String sLength)

### multiply

    public static final java.lang.String multiply(java.lang.String sPercent,
                                                  java.lang.String sLength)

### add

    public static final java.lang.String add(java.lang.String sLength1,
                                             java.lang.String sLength2)

### sub

    public static final java.lang.String sub(java.lang.String sLength1,
                                             java.lang.String sLength2)

### isLessThan

    public static boolean isLessThan(java.lang.String sThis,
                                     java.lang.String sThat)

### trimDocumentName

    public static final java.lang.String trimDocumentName(java.lang.String name,
                                                          java.lang.String extension)

### removeExtension

    public static final java.lang.String removeExtension(java.lang.String sName)

### getAttribute

    public static final java.lang.String getAttribute(org.w3c.dom.Node node,
                                                      java.lang.String attribute)

### isElement

    public static final boolean isElement(org.w3c.dom.Node node)

### isElement

    public static final boolean isElement(org.w3c.dom.Node node,
                                          java.lang.String sTagName)

### isText

    public static final boolean isText(org.w3c.dom.Node node)

### getAttribute

    public static final java.lang.String getAttribute(org.w3c.dom.Element node,
                                                      java.lang.String attribute)

### getChildByTagName

    public static final org.w3c.dom.Element getChildByTagName(org.w3c.dom.Node node,
                                                              java.lang.String sTagName)

### getFirstChildElement

    public static final org.w3c.dom.Element getFirstChildElement(org.w3c.dom.Node node)

### getPCDATA

    public static java.lang.String getPCDATA(org.w3c.dom.Node node)

### urlEncode

    public static java.lang.String urlEncode(java.lang.String s)

### urlDecode

    public static java.lang.String urlDecode(java.lang.String s)

### makeHref

    public static java.lang.String makeHref(java.lang.String s)

### inputStreamToByteArray

    public static byte[] inputStreamToByteArray(java.io.InputStream is)
                                         throws java.io.IOException

  Read an `InputStream` into a `byte`array

  Parameters:
    `is` - the `InputStream` to read
  Returns:
    a byte array with the contents read from the stream
  Throws:
    `java.io.IOException` - in case of any I/O errors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD